Supported Browsers and Operating Systems

The SimulConsult software requires having Java installed on your computer, but having a browser that supports Java is often not needed.

Note: A version not requiring Java at all is in the works, expected in 2017.

Windows:

  • Supported with browser-based Java: Internet Explorer and 32-bit Firefox.
  • Supported with Java Web Start: Chrome, Edge, and 64-bit Firefox.

See Windows troubleshooting.

Macintosh:

  • Supported with browser-based Java: Safari and Firefox. 
  • Chrome will be supported in the future with Java Web Start.  In the meantime, use Safari or Firefox.

See Macintosh troubleshooting.

Linux: This has worked in the past but is not actively supported or tweaked, but will be more actively supported if there is sufficient interest

iOS: Support expected in 2017

Android: Support expected in 2017